OpenNMS API 1.2.9

## org.opennms.netmgt.poller.mock
Class MockTimer

    java.lang.Object
      org.opennms.netmgt.poller.mock.MockTimer

All Implemented Interfaces:
  Timer

public class MockTimer
extends java.lang.Object
implements Timer

Represents a MockTimer

Author:
  brozow

Field Summary
`private long` `m_currentTime`

Constructor Summary
`MockTimer()`

Method Summary
`long` `getCurrentTime()`
`void` `setCurrentTime(long currentTime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_currentTime

    private long m_currentTime

Constructor Detail

### MockTimer

    public MockTimer()

Method Detail

### getCurrentTime

    public long getCurrentTime()

  Specified by:
    `getCurrentTime` in interface `Timer`

### setCurrentTime

    public void setCurrentTime(long currentTime)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.